Subject: Re: bug#7517: 24.0.50; repeated crash under Mac OS X

From: Stefan Monnier <[email-masked]>
Date: Sat, 01 Jan 2011 12:22:30 -0500

> The only thing it can do is output the replacement character U+FFFD,
> or `?', or characters in the range U+DC80..U+DCFF.  I tend to think
> that `?' is the best alternative.

Any output is fine by me.  We could try and output a chunk of text like
U+NNNN, but a simple ? would do as well.

>> This is contrary to what we do for utf-8 files
> So we should have a different encoding symbol for these two variants.

Indeed.  Maybe we could call the new one `valid-utf-8'.

> I still maintain that VM should do better in this case.  I don't think
> we have a clear idea of what happened in this particular crash, so
> perhaps is too soon to forget about VM's part.

No matter what VM does Emacs shouldn't crash.

        Stefan